Subject: [PATCH 05/14] ARM: shmobile: Mark all SoCs in shmobile as CPUFreq, capable

From: [email-masked] (Gaku Inami)
Date: Thu, 26 Jun 2014 10:48:19 +0900

Hi Simon-san,

(2014/06/25 18:26), Simon Horman wrote:
> On Wed, Jun 25, 2014 at 02:26:24PM +0530, Viresh Kumar wrote:
>> On Wed, Jun 25, 2014 at 1:05 PM, Simon Horman
>> <[email-masked]> wrote:
>>> From: Benoit Cousson <[email-masked]>
>>>
>>> Mark all SoCs in shmobile as CPUFreq capable
>>> on multiplatform build only.
>>>
>>> Signed-off-by: Benoit Cousson <[email-masked]>
>>> [gaku.inami.xw at bp.renesas.com: Move the definition of cpufreq capable]
>>> Signed-off-by: Gaku Inami <[email-masked]>
>>> Signed-off-by: Simon Horman <[email-masked]>
>>> ---
>>>  arch/arm/mach-shmobile/Kconfig | 2 ++
>>>  1 file changed, 2 insertions(+)
>>>
>>> diff --git a/arch/arm/mach-shmobile/Kconfig b/arch/arm/mach-shmobile/Kconfig
>>> index dbd954e..c32fa7c 100644
>>> --- a/arch/arm/mach-shmobile/Kconfig
>>> +++ b/arch/arm/mach-shmobile/Kconfig
>>> @@ -12,6 +12,8 @@ config ARCH_SHMOBILE_MULTI
>>>         select NO_IOPORT_MAP
>>>         select PINCTRL
>>>         select ARCH_REQUIRE_GPIOLIB
>>> +       select ARCH_HAS_CPUFREQ
>>> +       select ARCH_HAS_OPP
>> https://lkml.org/lkml/2014/6/2/714
>> http://patchwork.ozlabs.org/patch/356780/
> I believe this patch was queued up before those patches hit Linus's tree.
>
> In the case of ARCH_HAS_CPUFREQ, a subsequent patch in
> this pull-request, "ARM: shmobile: Remove ARCH_HAS_CPUFREQ config for shmobile",
> removes it.
>
> Inami-san, could you see about making a patch to remove ARCH_HAS_OPP too?

Sorry for late reply. I posted this patch to linux-sh ML on May 29.
At that time, I couldn't see a patch to remove ARCH_HAS_CPUFREQ.
However, I should have noticed this modification earlier.